## shmsrc shmsrc — Receive data from the shared memory sink |

## Synopsis

    struct              GstShmSrc;

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GstObject
                   +----GstElement
                         +----GstBaseSrc
                               +----GstPushSrc
                                     +----GstShmSrc

## Properties

      "is-live"                  gboolean              : Read / Write
      "socket-path"              gchar*                : Read / Write

## Description

## Synopsis

### Element Information

plugin | shm
author | Olivier Crete <olivier.crete@collabora.co.uk>
class | Source

### Element Pads

name | src
direction | source
presence | always
details | ANY

## Details

### struct GstShmSrc

    struct GstShmSrc;

## Property Details

### The `"is-live"` property

      "is-live"                  gboolean              : Read / Write

True if the element cannot produce data in PAUSED.

Default value: FALSE

### The `"socket-path"` property

      "socket-path"              gchar*                : Read / Write

The path to the control socket used to control the shared memory transport.

Default value: NULL